/* ws2812b.h */

#ifndef WS2812b_H_
#define WS2812b_H_

#define NumberOfLEDS 9 // 

#define On 1
#define Off 0

struct color {
	uint8_t G;
	uint8_t R;
	uint8_t B;
};

// 
void ws2812b_init(const void *tbuf);

//    .
//(        ws2812b_init()
//  tbuf)
void ws2812b_showLEDsArray(void);

//      .
// tbuf -  
// color -     0   
void ws2812b_fillLEDsArray(uint8_t *tbuf, struct color * Colr);

//      .
// tbuf -  
// on : 1 - , 0 - 
// number -  .  
// color -  (  on=0,   color  0 )
void ws2812b_changeLed(uint8_t *tbuf, uint8_t on, uint16_t number, struct color * Colr);

//
void dma_initial(const void *tbuf);
void init_timers(void);
#endif
